Skip to main content
GET
/
v1
/
agent
/
:id
/
triggers
List Triggers
curl --request GET \
  --url https://api.app.shinzo.ai/v1/agent/:id/triggers \
  --header 'Authorization: Bearer <token>'

Authentication

Requires JWT token or Platform API key via Authorization: Bearer <token> header.

Path Parameters

id
string
required
Agent UUID

Query Parameters

page
number
default:"1"
Page number (min: 1)
limit
number
default:"20"
Results per page (min: 1, max: 100)

Example Request

curl -X GET "https://api.app.shinzo.ai/v1/agent/:id/triggers?page=1&limit=20" \
  -H "Authorization: Bearer <token>"

Response

{
  "triggers": [
    {
      "uuid": "trigger-abc-123",
      "agent_uuid": "agent-xyz-789",
      "name": "GitHub Deployment",
      "message_template": "Deployment {{payload.status}} for {{payload.repository.name}}.",
      "enabled": true,
      "webhook_url": "https://api.app.shinzo.ai/v1/webhooks/triggers/trigger-abc-123",
      "created_at": "2026-02-20T10:30:00Z",
      "updated_at": "2026-02-20T10:30:00Z"
    },
    {
      "uuid": "trigger-def-456",
      "agent_uuid": "agent-xyz-789",
      "name": "PagerDuty Alert",
      "message_template": "Incident: {{payload.incident.title}}. Severity: {{payload.incident.urgency}}.",
      "enabled": false,
      "webhook_url": "https://api.app.shinzo.ai/v1/webhooks/triggers/trigger-def-456",
      "created_at": "2026-02-15T08:00:00Z",
      "updated_at": "2026-02-24T12:00:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 2,
    "total_pages": 1
  }
}
The webhook_secret is not included in list responses for security. Secrets are shown only once during trigger creation.

Response Fields

FieldTypeDescription
uuidstringTrigger UUID
agent_uuidstringAgent UUID
namestringTrigger name
message_templatestringMessage template with {{payload.*}} variables
enabledbooleanWhether trigger is active
webhook_urlstringFull webhook URL for external systems to POST to
created_atstringCreation timestamp (ISO 8601)
updated_atstringLast update timestamp (ISO 8601)

Error Responses

404 Not Found

  • Agent not found or you don’t have access

429 Too Many Requests

  • Rate limit exceeded

See Also